#![no_std]
#![no_main]
#![feature(allocator_api)]
#![allow(dead_code)]
#![allow(unused_imports)]

use gila::arch::current::*;
use gila::boot::*;
use gila::memory;
use gila::panic;
use gila::params;
use gila::params::get_kernel_params;
use gila::process;
//use gila::arch::current::display;

#[unsafe(no_mangle)]
unsafe extern "C" fn main() -> ! {
    assert!(BASE_REVISION.is_supported());

    let kernel_file_response = FILE_REQUEST.get_response().unwrap();

    let _kernel_parameters = get_kernel_params(kernel_file_response.file().cmdline());

    let _smp_response = SMP_REQUEST.get_response();

    loop {
        unsafe {
            asm::halt();
        }
    }
}
